#
# Conditional build:
%bcond_with	tests		# functional tests (require libvirtd)
#
%define		pdir	Sys
%define		pnam	Virt
Summary:	Sys::Virt - Represent and manage a libvirt hypervisor connection
Summary(pl.UTF-8):	Sys::Virt - reprezentacja i zarządzanie połączeniem z hipernadzorcą libvirt
Name:		perl-Sys-Virt
Version:	10.2.0
Release:	1
License:	GPL v2+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Sys/%{pdir}-%{pnam}-v%{version}.tar.gz
# Source0-md5:	813624d1cae4964cb94cb432f4d0bf44
URL:		https://metacpan.org/dist/Sys-Virt
BuildRequires:	libvirt-devel >= 10.2.0
BuildRequires:	perl-devel >= 1:5.16
BuildRequires:	perl-Module-Build
BuildRequires:	pkgconfig
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	rpmbuild(macros) >= 1.745
%if %{with tests}
BuildRequires:	libvirt-daemon >= 10.2.0
BuildRequires:	perl-CPAN-Changes
BuildRequires:	perl-Test-Pod
BuildRequires:	perl-Test-Pod-Coverage
BuildRequires:	perl-Test-Simple
BuildRequires:	perl-Time-HiRes
BuildRequires:	perl-XML-XPath
%endif
Requires:	libvirt >= 10.2.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The Sys::Virt module provides a Perl XS binding to the libvirt virtual
machine management APIs. This allows machines running within arbitrary
virtualization containers to be managed with a consistent API.

%description -l pl.UTF-8
Moduł Sys::Virt dostarcza wiązanie XS Perla do API zarządzania
maszynami wirtualnymi libvirt. Pozwala na zarządzanie poprzez
jednolite API maszynami wirtualnymi działającymi w dowolnych
kontenerach.

%prep
%setup -q -n %{pdir}-%{pnam}-v%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor

%{__make} -j1 \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{perl_vendorarch}/auto/Sys/Virt/Virt.bs

install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
cp -a examples $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS Changes README
%{perl_vendorarch}/Sys/Virt.pm
%dir %{perl_vendorarch}/Sys/Virt
%{perl_vendorarch}/Sys/Virt/*.pm
%dir %{perl_vendorarch}/auto/Sys/Virt
%attr(755,root,root) %{perl_vendorarch}/auto/Sys/Virt/Virt.so
%{_mandir}/man3/Sys::Virt*.3pm*
%{_examplesdir}/%{name}-%{version}
%changelog
* Wed May 01 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Sys-Virt.git;a=log;h=master

* Wed May 01 2024 Jakub Bogusz <qboosh@pld-linux.org> 177372a
- updated to 10.2.0

* Sat Apr 06 2024 Jakub Bogusz <qboosh@pld-linux.org> 97668cf
- updated to 9.8.0

* Thu Jul 06 2023 Jan Palus <atler@pld-linux.org> 82a53fd
- perl 5.38.0 rebuild

* Wed Oct 12 2022 Jakub Bogusz <qboosh@pld-linux.org> 3f80de0
- updated to 8.8.0

* Mon Aug 22 2022 Jan Palus <atler@pld-linux.org> 4bf03ca
- perl 5.36.0 rebuild

* Sun Feb 27 2022 Jan Rękorajski <baggins@pld-linux.org> cb7b0c9
- rebuild with perl 5.34.0

* Fri May 07 2021 Jan Rękorajski <baggins@pld-linux.org> fd5013b
- rebuild with perl 5.32

* Tue Oct 06 2020 Jakub Bogusz <qboosh@pld-linux.org> dce8171
- updated more dependencies

* Tue Oct 06 2020 Jakub Bogusz <qboosh@pld-linux.org> c59ff65
- updated to 6.3.0 (latest supporting libvirt 6.6.0)
- removed obsolete no-dot-in-inc patch

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> faebc58
- drop obsolete and outdated manual inclusion of rpm macros

* Wed Dec 04 2019 Jan Rękorajski <baggins@pld-linux.org> 35dc454
- rebuild with perl 5.30.0
- release 6 (by relup.sh)

* Thu Aug 30 2018 Jan Rękorajski <baggins@pld-linux.org> 9db3124
- rebuild with perl 5.28.0
- release 5 (by relup.sh)

* Thu Jun 22 2017 Jan Rękorajski <baggins@pld-linux.org> e0628b6
- fix building with perl 5.26
- rel 4

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> 445e3bf
- perl req/prov fix
- release 3 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> b8ffce8
- rebuild with perl 5.26
- release 2 (by relup.sh)

* Mon May 22 2017 Mariusz Mazur <mmazur@pld-linux.org> 1c61919
- Up to 2.5.0

* Sun Oct 30 2016 Jan Rękorajski <baggins@pld-linux.org> 4c3a7ce
- rebuild with perl 5.24.0
- release 3 (by relup.sh)

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> 934dbed
- release 2 (by relup.sh)

* Mon Oct 26 2015 Jakub Bogusz <qboosh@pld-linux.org> 3b053d7
- updated to 1.2.19

* Sun Jul 19 2015 Jakub Bogusz <qboosh@pld-linux.org> 9be06c7
- updated to 1.2.17

